%global __brp_check_rpaths %{nil}

%define upstream_name    SDLx-Betweener
%define upstream_version 0.0105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    SDL Perl XS Tweening Animation Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SDLx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: chrpath
BuildRequires: perl(Alien::SDL) >= 1.430.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(SDL) >= 2.536.0
BuildRequires: perl-devel
BuildRequires: gcc-c++
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(SDL_image)

# no deps from doc:
%{?perl_default_filter}

%description
'SDLx::Betweener' is a library for animating Perl SDL elements. It lets you
move game objects (GOBs) around in various ways, rotate and scale things,
animate sprites and colors, make GOBs spawn at a given rate, and generally
bring about changes in the game over time. It lets you do these things
declaratively, without writing complex 'SDLx::Controller'
'move_handlers()'.

See the /WHY manpage and the /FEATURES manpage for an introduction to
tweening, or continue for the technical details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*
find %buildroot -name "*.so"|xargs chrpath -d

%files
%license LICENSE
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sat Aug 24 2024 tv <tv> 0.10.500-18.mga10
+ Revision: 2090824
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 0.10.500-17.mga10
+ Revision: 2011449
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.10.500-16.mga9
+ Revision: 1863159
- Rebuild for Perl 5.36

* Wed Apr 06 2022 tv <tv> 0.10.500-15.mga9
+ Revision: 1846337
- Remove bogus RPATH
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tmb <tmb> 0.10.500-14.mga9
+ Revision: 1728014
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.10.500-12.mga8
+ Revision: 1596058
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.10.500-11.mga8
+ Revision: 1530411
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.10.500-10.mga8
+ Revision: 1433891
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.10.500-9.mga7
+ Revision: 1293745
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.500-8.mga7
+ Revision: 1250435
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.10.500-7.mga7
+ Revision: 1166417
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.10.500-6.mga7
+ Revision: 1150153
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.10.500-5.mga7
+ Revision: 1128376
- modernize spec
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Fri Jun 17 2016 tv <tv> 0.10.500-4.mga6
+ Revision: 1021852
- use %%license

* Thu Feb 18 2016 umeabot <umeabot> 0.10.500-3.mga6
+ Revision: 966467
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.10.500-2.mga6
+ Revision: 845229
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.10.500-1.mga6
+ Revision: 841720
- update to 0.0105

* Wed Oct 15 2014 umeabot <umeabot> 0.10.300-5.mga5
+ Revision: 749549
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.10.300-4.mga5
+ Revision: 736609
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.10.300-3.mga5
+ Revision: 686122
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.10.300-2.mga5
+ Revision: 632480
- perl 5.20.0 rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.10.300-1.mga5
+ Revision: 616326
- update to 0.0103

* Mon Feb 10 2014 jquelin <jquelin> 0.10.200-1.mga5
+ Revision: 588636
- update to 0.0102

* Sat Oct 19 2013 umeabot <umeabot> 0.10.100-6.mga4
+ Revision: 525127
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.100-5.mga4
+ Revision: 432291
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.100-4.mga4
+ Revision: 432153
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.100-3.mga3
+ Revision: 372353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 shlomif <shlomif> 0.10.100-2.mga3
+ Revision: 326120
- No problem with parallelised builds.
- SDLx-Betweener based on cpan2pkg output

